from abc import ABC, abstractmethod

class IConverter(ABC):
    @abstractmethod
    def convert(self, num: int) -> str:
        pass

class IStringCalculator(ABC):
    @abstractmethod
    def add(self, numbers: str) -> int:
        pass