from abc import ABC, abstractmethod

# This is the interface for the String Calculator
class IStringCalculator(ABC):
    @abstractmethod
    def add(self, numbers: str) -> int:
        pass

# This is the interface for the Roman Numerals converter
class IRomanNumerals(ABC):
    @abstractmethod
    def to_roman(self, num):
        pass