# Testbericht zur Fremdimplementierung

## 1. Test: `Daniel/test_converter.py`

- Getestete Implementierung: `src/Roman_Converter.py`
- Testanzahl: 26  
- 19 Tests bestanden  
- 7 Tests fehlgeschlagen

### Fehlerursachen:
- Fehlende Typprüfung bei ungültigen Eingaben (`str`, `float`, Sonderzeichen)
- Zwei Tests erwarten leere Rückgabe (`""`), obwohl die Implementierung sinnvolle Fehlermeldungen liefert

---

## 2. Test: `Daniel/test_stringCalculator.py`

- Getestete Implementierung: `src/String_Calculator.py`
- Testanzahl: 18  
- 12 Tests bestanden  
- 6 Tests fehlgeschlagen

### Fehlerursachen:
- `float`- und Buchstaben-Eingaben führen zu `ValueError`
- Negative Zahlen werden korrekt erkannt, die Tests erwarten jedoch keine Ausnahmebehandlung
- Eingaben mit gemischten positiven und negativen Zahlen lösen Fehler aus

---



Bericht erstellt am 2025-04-01